Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 7707)
@@ -184,5 +184,5 @@
 We can edit user bob:
 
-  >>> browser.getControl("manage", index=0).click()
+  >>> browser.getControl("Manage", index=0).click()
   >>> browser.getControl("Save", index=0).click()
   >>> browser.getControl("Cancel", index=0).click()
@@ -218,5 +218,5 @@
 
   >>> browser.open('http://localhost/myuniversity/users')
-  >>> browser.getControl("delete").click()
+  >>> browser.getControl("Remove").click()
   >>> 'User account bob successfully deleted' in browser.contents
   True
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7707)
@@ -152,4 +152,5 @@
     label = _(u'Login')
     camefrom = None
+    login_button = label
 
     def update(self, SUBMIT=None, camefrom=None):
@@ -384,4 +385,6 @@
     grok.name('index')
     label = _('Portal Users')
+    manage_button = _(u'Manage')
+    delete_button = _(u'Remove')
 
     def update(self, userid=None, adduser=None, manage=None, delete=None):
@@ -587,4 +590,5 @@
     label = _(u"Search Academic Section")
     pnav = 1
+    search_button = _(u'Search')
 
     def update(self, *args, **kw):
@@ -648,5 +652,5 @@
         return view.widgets['frontpage']()
 
-    @action('Save', style='primary')
+    @action(_('Save'), style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
@@ -1371,5 +1375,5 @@
         return
 
-    @action('Save', style='primary')
+    @action(_('Save'), style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
@@ -1623,5 +1627,5 @@
         self.redirect(self.url(self.context, u'@@manage')+'?tab2')
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1765,5 +1769,5 @@
         return super(CertificateManageFormPage, self).update()
 
-    @action('Save', style='primary')
+    @action(_('Save'), style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 7707)
@@ -1,3 +1,3 @@
-<ul  i18n:domain="waeup.sirp" class="tabs" data-tabs="tabs">
+<ul i18n:domain="waeup.sirp" class="tabs" data-tabs="tabs">
   <li class="active"><a href="#tab-1">
    <span i18n:translate="">Courses</span></a>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7707)
@@ -1,17 +1,18 @@
-<form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
+<form action="." tal:attributes="action request/URL"
+  i18n:domain="waeup.sirp" method="POST" enctype="multipart/form-data">
   <ul class="tabs" data-tabs="tabs">
     <li tal:attributes="class view/tab1">
     <a href="#tab-1">
-      <span>Settings
+      <span i18n:translate="">Settings
       </span></a>
     </li>
     <li tal:attributes="class view/tab2">
     <a href="#tab-2">
-      <span tal:content="view/subunits">Contents
+      <span tal:content="view/subunits">CONTENTS
       </span> </a>
     </li>
     <li tal:attributes="class view/tab3">
     <a href="#tab-3">
-      <span i18n:translate="local_roles" >Local Roles
+      <span i18n:translate="">Local Roles
       </span></a>
     </li>
@@ -26,5 +27,5 @@
                 <span tal:condition="widget/required">*
                 </span>
-                <span tal:content="widget/label">label
+                <span tal:content="widget/label">LABEL
                 </span>:
               </td>
@@ -34,9 +35,9 @@
                 </span>
                 <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">error
+                  <span tal:replace="structure widget/error">ERROR
                   </span>
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span tal:content="structure widget/hint">hint
+                  <span tal:content="structure widget/hint">HINT
                   </span>
                 </tal:hint> </td>
@@ -53,5 +54,5 @@
     </div>
     <div id="tab-2" tal:attributes="class view/tab2">
-      <h3 tal:content="view/subunits">Departments</h3>
+      <h3 tal:content="view/subunits">DEPARTMENTS</h3>
       <table>
         <thead>
@@ -59,7 +60,7 @@
             <th>&nbsp;
             </th>
-            <th>Code
+            <th i18n:translate="">Code
             </th>
-            <th>Title
+            <th i18n:translate="">Title
             </th>
           </tr>
@@ -89,9 +90,9 @@
             <th>&nbsp;
             </th>
-            <th>User Id
+            <th i18n:translate="">User Id
             </th>
-            <th>Name
+            <th i18n:translate="">Name
             </th>
-            <th>Local Role
+            <th i18n:translate="">Local Role
             </th>
           </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt	(revision 7707)
@@ -6,6 +6,6 @@
   <thead>
     <tr>
-      <th i18n:translate="code">Code</th>
-      <th i18n:translate="title">Title</th>
+      <th i18n:translate="">Code</th>
+      <th i18n:translate="">Title</th>
     </tr>
   </thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7707)
@@ -1,7 +1,7 @@
-<form method="post">
+<form i18n:domain="waeup.sirp" method="post">
   <table id="login" class="form-table" summary="Table for entering login information">
     <tbody>
       <tr>
-        <td class="fieldname">
+        <td i18n:translate="" class="fieldname">
           User Name or Id:
         </td>
@@ -11,5 +11,5 @@
       </tr>
       <tr>
-        <td class="fieldname">
+        <td i18n:translate="" class="fieldname">
           Password:
         </td>
@@ -22,5 +22,5 @@
         <td>&nbsp;</td>
         <td>
-          <font color="red"> Notice: User names, Ids and passwords are case sensitive.</font>
+          <font  i18n:translate="" color="red"> Notice: User names, Ids and passwords are case sensitive.</font>
         </td>
       </tr>
@@ -28,20 +28,20 @@
   </table>
   <input type="hidden" name="camefrom"   tal:attributes="value view/camefrom" />
-  <input class="btn primary" type="submit" name="SUBMIT" value="Login" />
+  <input class="btn primary" type="submit" name="SUBMIT"
+    tal:attributes="value view/login_button" />
 
 
   <br /><br /><br />
 
-  <p>Don't forget to logout or exit your browser when you're done.
-  If you are having trouble logging in, make sure to enable  cookies in your web browser.
+  <p  i18n:translate="login_trouble1">Don't forget to logout or exit your browser when you're done.
+    If you are having trouble logging in, make sure to enable  cookies in your web browser.
   </p>
-  <p>You don't have an account because you are a fresh student, or your student record has just been created?
-  Acquire a Password Access Code (PWD) and inititialize your student account
-  <strong><a href  ="setpassword"> here</a></strong>.
-  </p> <p> Or simply forgot your student id or password? Then request a new password
-  <strong><a href  ="changepw"> here</a></strong>.
+  <p i18n:translate="login_trouble2">
+    You don't have an account because you are a fresh student, or your student record has just been created?
+    Acquire a Password Access Code (PWD) and inititialize your student account
+    <strong><a href  ="setpassword"> here</a></strong>.
   </p>
-
-
-
+  <p i18n:translate="login_trouble3"> Or simply forgot your student id or password? Then request a new password
+    <strong><a href="changepw"> here</a></strong>.
+  </p>
 </form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt	(revision 7707)
@@ -1,4 +1,5 @@
-<h3 i18n:translate="my_portal_roles">My Portal Roles:</h3>
-<table class="form-table">
+<h3 i18n:domain="waeup.sirp"
+    i18n:translate="">My Portal Roles:</h3>
+<table i18n:domain="waeup.sirp" class="form-table">
 <tr tal:repeat="role view/getSiteRoles">
     <td>
@@ -8,8 +9,10 @@
 </table>
 
-<h3 i18n:translate="my_local_roles">My Local Roles:</h3>
+<h3 i18n:domain="waeup.sirp"
+    i18n:translate="">My Local Roles:</h3>
 <table class="form-table">
   <tr tal:repeat="role view/getLocalRoles">
-    <td valign="top" ><span tal:content="role" >ROLE</span>:</td>
+    <td valign="top" >
+      <span tal:content="role">ROLE</span>:</td>
     <td>
       <span tal:repeat="object python:view.getLocalRoles[role]">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/notfound.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/notfound.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/notfound.pt	(revision 7707)
@@ -1,14 +1,15 @@
-<h2>
-  The page you are trying to access is not available
+<h2 i18n:domain="waeup.sirp" i18n:translate="">
+  The page you are trying to access is not available.
 </h2>
 
-<div><b>Please note the following:</b></div>
-<div>
+<div i18n:domain="waeup.sirp">
+  <b i18n:translate="">Please note the following:</b></div>
+<div i18n:domain="waeup.sirp">
   <ol class="list">
-    <li>
-      You might have misspelled the URL
+    <li i18n:translate="">
+      You might have misspelled the URL.
     </li>
-    <li>
-        You might be trying to access a non-existing page
+    <li i18n:translate="">
+        You might be trying to access a non-existing page.
     </li>
   </ol>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/searchpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/searchpage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/searchpage.pt	(revision 7707)
@@ -2,15 +2,16 @@
   <input type="text" name="query"
 	 tal:attributes="value view/query" />
-    <input class="btn primary" type="submit" name="SUBMIT" value="Search" />
+    <input class="btn primary" type="submit" name="SUBMIT"
+      tal:attributes="value view/search_button"/>
 </form>
 <br />
-<span tal:condition="view/hitlist">
-    <h3>Search Results</h3>
+<span  i18n:domain="waeup.sirp" tal:condition="view/hitlist">
+    <h3 i18n:translate="">Search Results</h3>
     <table class="display dataTable">
         <thead>
             <tr>
-                <th>Code</th>
-                <th>Title</th>
-                <th>Type</th>
+                <th i18n:translate="">Code</th>
+                <th i18n:translate="">Title</th>
+                <th i18n:translate="">Type</th>
             </tr>
         </thead>
@@ -19,11 +20,11 @@
             <td>
                 <a href="" tal:attributes="href item/url"
-                           tal:content="item/code">Code</a>
+                           tal:content="item/code">CODE</a>
             </td>
             <td tal:content="item/title">
-                Title
+                TITLE
             </td>
             <td tal:content="item/type">
-                Type
+                TTYPE
             </td>
             </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/showstudentspage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/showstudentspage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/showstudentspage.pt	(revision 7707)
@@ -1,10 +1,11 @@
-<table class="display dataTable">
+<table i18n:domain="waeup.sirp" class="display dataTable">
   <thead>
 	<tr>
-	  <th>Student Id</th><th>Fullname</th>
-    <th>Status</th>
-    <th>Certificate</th>
-    <th>Current Session</th>
-    <th>Current Level</th>
+	  <th i18n:translate="">Student Id</th>
+    <th i18n:translate="">Fullname</th>
+    <th i18n:translate="">Status</th>
+    <th i18n:translate="">Certificate</th>
+    <th i18n:translate="">Current Session</th>
+    <th i18n:translate="">Current Level</th>
 	</tr>
   </thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7707)
@@ -20,5 +20,5 @@
           <a class="brand" href="#"
               tal:attributes="href python: view.url(layout.site)"
-              tal:content="layout/getAppAcronym">Acronym</a>
+              tal:content="layout/getAppAcronym">ACRONYM</a>
           <ul class="nav">
             <tal:primary_nav content="structure provider:primary_nav" />
@@ -34,10 +34,12 @@
             <a href="#" i18n:translate=""
                tal:attributes="href python: view.url(layout.site, '@@contactadmin')">
-                Contact
+               Contact
             </a>
             </li>
             <li tal:condition="layout/isAuthenticated">
             <a href="#" i18n:translate=""
-               tal:attributes="href python: view.url(context, '@@logout')">Logout</a>
+               tal:attributes="href python: view.url(context, '@@logout')">
+               Logout
+            </a>
             </li>
           </ul>
@@ -54,10 +56,13 @@
             tal:condition="python: layout.isAuthenticated()"
             tal:content="structure provider:breadcrumbs" />
-      <span tal:condition="layout/getStudentName" class="wfstatus">
-            Student Id:
-          <span tal:replace="python:context.getStudent().student_id">Id
+      <span
+        tal:condition="layout/getStudentName" class="wfstatus">
+          <span i18n:translate="">Student Id:</span>
+          <span tal:replace="python:context.getStudent().student_id">
+            ID
           </span>&nbsp;&nbsp;
-          State:
-          <span tal:replace="python:context.getStudent().translated_state">State
+          <span i18n:translate="">State:</span>
+          <span tal:replace="python:context.getStudent().translated_state">
+            STATE
           </span>
       </span>
@@ -68,5 +73,5 @@
         <div class="well">
           <div tal:condition="layout/getStudentName">
-            <h5 tal:content="layout/getStudentName">Student name</h5>
+            <h5 tal:content="layout/getStudentName">STUDENTNAME</h5>
             <ul>
               <tal:left content="structure provider:left_studentmanage" />
@@ -74,5 +79,5 @@
           </div>
           <div tal:condition="layout/isAuthenticated">
-            <h5 tal:content="layout/getUserTitle">Username</h5>
+            <h5 tal:content="layout/getUserTitle">USERNAME</h5>
             <ul>
               <tal:left content="structure provider:left" />
@@ -94,16 +99,18 @@
           tal:define="status view/status|nothing"
           tal:condition="status">
-          Form Status:
+          <span i18n:translate="">
+            Form Status:
+          </span>
           <span tal:content="view/status">
-            Form status summary
+            FORM STATUS SUMMARY
           </span>
         </div>
         <h1 tal:condition="view/label|nothing"
-            tal:content="view/label">Label</h1>
+            tal:content="view/label">LABEL</h1>
         <div tal:content="structure view/content"> THE CONTENT
         </div>
         <div class="footer">
-          <p class="pull-right"><a href="#">Back to top</a></p>
-          <p>
+          <p class="pull-right"><a i18n:translate="" href="#">Back to top</a></p>
+          <p i18n:translate="">
             Student Information and Registration Portal<br />
             Copyright &copy; WAeUP Group, 2008-2012
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7707)
@@ -24,5 +24,5 @@
           <a class="brand" href="#"
               tal:attributes="href python: view.url(layout.site)"
-              tal:content="layout/getAppAcronym">Acronym</a>
+              tal:content="layout/getAppAcronym">ACRONYM</a>
           <ul class="nav">
               <tal:primary_nav content="structure provider:primary_nav" />
@@ -44,5 +44,7 @@
             <li tal:condition="layout/isAuthenticated">
             <a href="#" i18n:translate=""
-               tal:attributes="href python: view.url(context, '@@logout')">Logout</a>
+               tal:attributes="href python: view.url(context, '@@logout')">
+               Logout
+            </a>
             </li>
           </ul>
@@ -61,8 +63,10 @@
               tal:content="structure provider:breadcrumbs" />
         <span tal:condition="layout/getStudentName" class="wfstatus">
-            <span tal:replace="python:context.getStudent().student_id">Id
+            <span tal:replace="python:context.getStudent().student_id">
+              Id
             </span>
             |
-            <span tal:replace="python:context.getStudent().translated_state">State
+            <span tal:replace="python:context.getStudent().translated_state">
+              State
             </span>
         </span>
@@ -80,15 +84,19 @@
           tal:define="status view/status|nothing"
           tal:condition="status">
-          Form Status:
+          <span i18n:translate="">
+            Form Status:
+          </span>
           <span tal:content="view/status">
-            Form status summary
+            FORM STATUS SUMMARY
           </span>
         </div>
         <h1 tal:condition="view/label|nothing"
             tal:content="view/label">Label</h1>
-        <div tal:content="structure view/content"> THE CONTENT
+        <div tal:content="structure view/content">
+          THE CONTENT
         </div>
         <div class="footer">
-          <p>
+          <p class="pull-right"><a i18n:translate="" href="#">Back to top</a></p>
+          <p i18n:translate="">
             Student Information and Registration Portal<br />
             Copyright &copy; WAeUP Group, 2008-2012
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/subobjectlist.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/subobjectlist.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/subobjectlist.pt	(revision 7707)
@@ -2,6 +2,5 @@
   <thead>
     <tr tal:repeat="viewlet viewletmanager/viewlets">
-      <th tal:replace="structure viewlet/render">
-	viewlet
+      <th tal:replace="structure viewlet/render">viewlet
       </th>
     </tr>
@@ -10,8 +9,6 @@
     <tr tal:repeat="row viewletmanager/rows">
       <td tal:repeat="viewlet row">
-	<div tal:replace="structure viewlet/render">
-	  viewlet
-	</div>
-      </td>
+        <div tal:replace="structure viewlet/render">viewlet
+        </div></td>
     </tr>
   </tbody>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7707)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      enctype="multipart/form-data">
+      i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
   <table class="form-table">
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">LABEL</span>:
           </td>
           <td>
@@ -15,8 +15,8 @@
             </span>
             <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
+              <span tal:replace="structure widget/error">ERROR</span>
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">HINT</span>
             </tal:hint>
           </td>
@@ -24,5 +24,5 @@
       </tal:block>
       <tr>
-        <td class="fieldname">Password:</td>
+        <td i18n:translate="" class="fieldname">Password:</td>
         <td>
           <input name="password" type="password"  />
@@ -30,5 +30,5 @@
       </tr>
       <tr>
-        <td class="fieldname">Retype password:</td>
+        <td i18n:translate="" class="fieldname">Retype password:</td>
         <td>
           <input name="control_password" type="password" />
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt	(revision 7706)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt	(revision 7707)
@@ -1,9 +1,9 @@
-<table>
+<table i18n:domain="waeup.sirp">
   <thead>
     <tr>
-      <th>User ID</th>
-      <th>Name</th>
-      <th>Portal Roles</th>
-      <th>Local Roles</th>
+      <th i18n:translate="">User ID</th>
+      <th i18n:translate="">Name</th>
+      <th i18n:translate="">Portal Roles</th>
+      <th i18n:translate="">Local Roles</th>
       <th></th>
     </tr>
@@ -11,6 +11,6 @@
   <tbody>
     <tr tal:repeat="account context/values">
-      <td tal:content="account/name">User name</td>
-      <td tal:content="account/title">Title</td>
+      <td tal:content="account/name">USERNAME</td>
+      <td tal:content="account/title">TITLE</td>
       <td tal:content="structure python:view.getSiteRoles(account)">SITE ROLES</td>
       <td tal:content="structure python:view.getLocalRoles(account)">LOCAL ROLES</td>
@@ -19,6 +19,8 @@
           <input type="hidden" name="userid"
            tal:attributes="value account/name"/>
-            <input class="btn" type="submit" name="manage" value="manage" />
-            <input class="btn" type="submit" name="delete" value="delete" />
+            <input class="btn" type="submit" name="manage"
+              tal:attributes="value view/manage_button" />
+            <input class="btn" type="submit" name="delete"
+              tal:attributes="value view/delete_button" />
         </form>
       </td>