Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7710)
@@ -61,5 +61,5 @@
     grok.name('index')
     grok.require('waeup.Public')
-    label = 'Application Section'
+    label = _('Application Section')
     pnav = 3
 
@@ -73,11 +73,12 @@
     grok.name('manage')
     grok.template('applicantsrootmanagepage')
-    label = 'Manage application section'
+    label = _('Manage application section')
     pnav = 3
     grok.require('waeup.manageApplication')
-    taboneactions = ['Add applicants container', 'Remove selected','Cancel']
-    tabtwoactions1 = ['Remove selected local roles']
-    tabtwoactions2 = ['Add local role']
-    subunits = 'Applicants Containers'
+    taboneactions = [_('Add applicants container'), _('Remove selected'),
+        _('Cancel')]
+    tabtwoactions1 = [_('Remove selected local roles')]
+    tabtwoactions2 = [_('Add local role')]
+    subunits = _('Applicants Containers')
 
     def update(self):
@@ -101,5 +102,5 @@
         return get_users_with_local_roles(self.context)
 
-    @jsaction('Remove selected')
+    @jsaction(_('Remove selected'))
     def delApplicantsContainers(self, **data):
         form = self.request.form
@@ -113,26 +114,26 @@
                 deleted.append(id)
             except:
-                self.flash('Could not delete %s: %s: %s' % (
+                self.flash(_('Could not delete:') + ' %s: %s: %s' % (
                         id, sys.exc_info()[0], sys.exc_info()[1]))
         if len(deleted):
-            self.flash('Successfully removed: %s' % ', '.join(deleted))
+            self.flash(_('Successfully removed:') + ' %s' % ', '.join(deleted))
         self.redirect(self.url(self.context, '@@manage'))
         return
 
-    @action('Add applicants container', validator=NullValidator)
+    @action(_('Add applicants container'), validator=NullValidator)
     def addApplicantsContainer(self, **data):
         self.redirect(self.url(self.context, '@@add'))
         return
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
         return
 
-    @action('Add local role', validator=NullValidator)
+    @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
         return add_local_role(self,3, **data)
 
-    @action('Remove selected local roles')
+    @action(_('Remove selected local roles'))
     def delLocalRoles(self, **data):
         return del_local_roles(self,3,**data)
@@ -143,5 +144,5 @@
     grok.name('add')
     grok.template('applicantscontaineraddpage')
-    label = 'Add applicants container'
+    label = _('Add applicants container')
     pnav = 3
 
@@ -155,5 +156,5 @@
         return super(ApplicantsContainerAddFormPage, self).update()
 
-    @action('Add applicants container')
+    @action(_('Add applicants container'))
     def addApplicantsContainer(self, **data):
         year = data['year']
@@ -164,6 +165,5 @@
         if code in self.context.keys():
             self.flash(
-                'An applicants container for the same application '
-                'type and entrance year exists already in the database.')
+                _('An applicants container for the same application type and entrance year exists already in the database.'))
             return
         # Add new applicants container...
@@ -174,9 +174,9 @@
         container.title = title
         self.context[code] = container
-        self.flash('Added: "%s".' % code)
+        self.flash(_('Added:') + ' "%s".' % code)
         self.redirect(self.url(self.context, u'@@manage'))
         return
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context, '@@manage'))
@@ -186,5 +186,5 @@
     """
     grok.context(IApplicantsRoot)
-    title = u'Applicants'
+    title = _(u'Applicants')
 
 class ApplicantsContainerBreadcrumb(Breadcrumb):
@@ -250,8 +250,8 @@
     form_fields = grok.AutoFields(IApplicantsContainer).omit(
         'title', 'description_dict')
-    taboneactions = ['Save','Cancel']
-    tabtwoactions = ['Add applicant', 'Remove selected','Cancel']
-    tabthreeactions1 = ['Remove selected local roles']
-    tabthreeactions2 = ['Add local role']
+    taboneactions = [_('Save'),_('Cancel')]
+    tabtwoactions = [_('Add applicant'), _('Remove selected'),_('Cancel')]
+    tabthreeactions1 = [_('Remove selected local roles')]
+    tabthreeactions2 = [_('Add local role')]
     # Use friendlier date widget...
     form_fields['startdate'].custom_widget = FriendlyDateWidget('le')
@@ -261,5 +261,5 @@
     @property
     def label(self):
-        return 'Manage applicants container'
+        return _('Manage applicants container')
 
     pnav = 3
@@ -301,8 +301,8 @@
         self.applyData(self.context, **data)
         self.context.description_dict = self._description()
-        self.flash('Form has been saved.')
-        return
-
-    @jsaction('Remove selected')
+        self.flash(_('Form has been saved.'))
+        return
+
+    @jsaction(_('Remove selected'))
     def delApplicant(self, **data):
         form = self.request.form
@@ -310,5 +310,5 @@
             child_id = form['val_id']
         else:
-            self.flash('No applicant selected!')
+            self.flash(_('No applicant selected!'))
             self.redirect(self.url(self.context, '@@manage')+'?tab2')
             return
@@ -321,26 +321,26 @@
                 deleted.append(id)
             except:
-                self.flash('Could not delete %s: %s: %s' % (
+                self.flash(_('Could not delete:') + ' %s: %s: %s' % (
                         id, sys.exc_info()[0], sys.exc_info()[1]))
         if len(deleted):
-            self.flash('Successfully removed: %s' % ', '.join(deleted))
+            self.flash(_('Successfully removed:') + ' %s' % ', '.join(deleted))
         self.redirect(self.url(self.context, u'@@manage')+'?tab2')
         return
 
-    @action('Add applicant', validator=NullValidator)
+    @action(_('Add applicant'), validator=NullValidator)
     def addApplicant(self, **data):
         self.redirect(self.url(self.context, 'addapplicant'))
         return
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
         return
 
-    @action('Add local role', validator=NullValidator)
+    @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
         return add_local_role(self,3, **data)
 
-    @action('Remove selected local roles')
+    @action(_('Remove selected local roles'))
     def delLocalRoles(self, **data):
         return del_local_roles(self,3,**data)
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7710)
@@ -1,7 +1,9 @@
-<h2> ... <span tal:replace="context/translated_state">Application State</span> ... </h2>
+<h2>
+... <span tal:replace="context/translated_state">APPLICATIONSTATE</span> ...
+</h2>
 
 <div class="workflow">
   <div tal:repeat="msg context/history/messages">
-    <span tal:replace="msg">message</span><br />
+    <span tal:replace="msg">MESSAGE</span><br />
   </div>
 </div>
@@ -9,5 +11,5 @@
 <img src="" tal:attributes="src view/passport_url" />
 
-<table class="form-table">
+<table i18n:domain="waeup.sirp" class="form-table">
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -22,5 +24,5 @@
     </tal:block>
     <tr>
-      <td class="fieldname">
+      <td class="fieldname" i18n:translate="">
           Admitted Course of Study:
       </td>
@@ -30,5 +32,5 @@
     </tr>
     <tr>
-      <td class="fieldname">
+      <td class="fieldname" i18n:translate="">
           Password:
       </td>
@@ -39,5 +41,5 @@
   </tbody>
 </table>
-<h3 i18n:translate="acceptance_fee_tickets">
+<h3 i18n:translate="">
     Acceptance Fee Payment Tickets
 </h3>
@@ -45,10 +47,10 @@
   <thead>
     <tr>
-      <th>Payment Id</th>
-      <th>Creation Date</th>
-      <th>Payment Date</th>
-      <th>Category</th>
-      <th>Item</th>
-      <th>State</th>
+      <th i18n:translate="">Payment Id</th>
+      <th i18n:translate="">Creation Date</th>
+      <th i18n:translate="">Payment Date</th>
+      <th i18n:translate="">Category</th>
+      <th i18n:translate="">Item</th>
+      <th i18n:translate="">State</th>
     </tr>
   </thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7710)
@@ -1,10 +1,12 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      enctype="multipart/form-data">
+      i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
-  <h2> ... <span tal:replace="context/translated_state">Application State</span> ... </h2>
+  <h2>
+  ... <span tal:replace="context/translated_state">APPLICATIONSTATE</span> ...
+  </h2>
 
   <div class="workflow">
     <div tal:repeat="msg context/history/messages">
-      <span tal:replace="msg">message</span><br />
+      <span tal:replace="msg">MESSAGE</span><br />
     </div>
   </div>
@@ -32,5 +34,5 @@
       </tal:block>
       <tr>
-        <td class="fieldname">
+        <td class="fieldname" i18n:translate="">
           Photograph
         </td>
@@ -39,5 +41,5 @@
           <input type="file" name="form.passport" />
           <br />
-          <span i18n:translate="max_file_size">
+          <span i18n:translate="">
             Max. file size:
           </span>
@@ -45,5 +47,5 @@
       </tr>
       <tr tal:condition="view/manage_applications">
-        <td class="fieldname">Password:</td>
+        <td class="fieldname" i18n:translate="">Password:</td>
         <td>
           <input name="password" type="password"  />
@@ -51,5 +53,5 @@
       </tr>
       <tr tal:condition="view/manage_applications">
-        <td class="fieldname">Retype password:</td>
+        <td class="fieldname" i18n:translate="">Retype password:</td>
         <td>
           <input name="control_password" type="password" />
@@ -57,5 +59,5 @@
       </tr>
       <tr tal:condition="view/manage_applications">
-        <td class="fieldname">Application Transition:</td>
+        <td class="fieldname" i18n:translate="">Application Transition:</td>
         <td>
           <select id="transition" name="transition">
@@ -73,6 +75,8 @@
     <input id="confirm_passport" name="confirm_passport"
            type="checkbox" value="True"/>
+    <span i18n:translate="">
     I confirm that the Passport Photograph uploaded on this form is a
     true picture of me.
+    </span>
   </div>
 
@@ -86,5 +90,5 @@
 
   <br /><br />
-  <h3 i18n:translate="acceptance_fee_tickets">
+  <h3 i18n:translate="">
       Acceptance Fee Payment Tickets
   </h3>
@@ -94,10 +98,10 @@
     <tr>
       <th>&nbsp;</th>
-      <th>Payment Id</th>
-      <th>Creation Date</th>
-      <th>Payment Date</th>
-      <th>Category</th>
-      <th>Item</th>
-      <th>State</th>
+      <th i18n:translate="">Payment Id</th>
+      <th i18n:translate="">Creation Date</th>
+      <th i18n:translate="">Payment Date</th>
+      <th i18n:translate="">Category</th>
+      <th i18n:translate="">Item</th>
+      <th i18n:translate="">State</th>
     </tr>
     </thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregemailsent.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregemailsent.pt	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregemailsent.pt	(revision 7710)
@@ -1,11 +1,13 @@
-<div>
+<div i18n:domain="waeup.sirp">
   <p>
-    An email with your user name and password
-    has been sent to <span tal:replace="view/email">user@foo.baz</span>.
+    <span i18n:translate=""> An email with your user name and password
+    has been sent to
+    </span>
+    <span tal:replace="view/email">user@foo.baz</span>.
   </p>
-  <p>
+  <p i18n:translate="">
     Please check your email account to proceed.
   </p>
-  <p>
+  <p  i18n:translate="">
     Thanks for using SIRP!
   </p>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7710)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      enctype="multipart/form-data">
+    i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
   <table class="form-table">
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">LABEL</span>:
           </td>
           <td>
@@ -15,8 +15,8 @@
             </span>
             <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
+              <span tal:replace="structure widget/error">ERROR</span>
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">HINT</span>
             </tal:hint>
           </td>
@@ -24,5 +24,5 @@
       </tal:block>
       <tr tal:condition="view/captcha_code">
-        <td i18n:translate="solve_captcha">
+        <td i18n:translate="">
           Please solve the captcha<br />to prevent misuse of this service:
         </td>
@@ -34,5 +34,5 @@
     </tbody>
   </table>
-  <p>
+  <p i18n:translate="">
     An account will be created for you and an email with your login
     credentials will be sent to the address provided.
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7710)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+  class="edit-form" enctype="multipart/form-data">
 
   <table class="form-table">
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">LABEL</span>:
           </td>
           <td>
@@ -15,8 +15,8 @@
             </span>
             <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
+              <span tal:replace="structure widget/error">ERROR</span>
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">HINT</span>
             </tal:hint>
           </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7710)
@@ -1,18 +1,19 @@
-<form action="." tal:attributes="action request/URL" method="POST"  class="edit-form" enctype="multipart/form-data">
+<form action="." tal:attributes="action request/URL" method="POST"
+  i18n:domain="waeup.sirp" class="edit-form" enctype="multipart/form-data">
 
   <ul class="tabs" data-tabs="tabs">
     <li tal:attributes="class view/tab1">
     <a href="#tab-1">
-      <span>Settings
+      <span i18n:translate="">Settings
       </span></a>
     </li>
     <li tal:attributes="class view/tab2">
     <a href="#tab-2">
-      <span>Applicants
+      <span i18n:translate="">Applicants
       </span></a>
     </li>
     <li tal:attributes="class view/tab3">
     <a href="#tab-3">
-      <span>Local Roles
+      <span i18n:translate="">Local Roles
       </span></a>
     </li>
@@ -27,5 +28,5 @@
                 <span tal:condition="widget/required">*
                 </span>
-                <span tal:content="widget/label">label
+                <span tal:content="widget/label">LABEL
                 </span>:
               </td>
@@ -35,9 +36,9 @@
                 </span>
                 <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">error
+                  <span tal:replace="structure widget/error">ERROR
                   </span>
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span  tal:content="structure widget/hint">hint
+                  <span  tal:content="structure widget/hint">HINT
                   </span>
                 </tal:hint> </td>
@@ -53,5 +54,6 @@
       </div>
     </div>
-    <div id="tab-2" tal:attributes="class view/tab2"> <h3>Applicants</h3>
+    <div id="tab-2" tal:attributes="class view/tab2">
+      <h3 i18n:translate="">Applicants</h3>
       <table class="display dataTableManage">
         <thead>
@@ -59,11 +61,11 @@
             <th>&nbsp;
             </th>
-            <th>Application Number
+            <th i18n:translate="">Application Number
             </th>
-            <th>Full Name
+            <th i18n:translate="">Full Name
             </th>
-            <th>First Choice
+            <th i18n:translate="">First Choice
             </th>
-            <th>Application State
+            <th i18n:translate="">Application State
             </th>
           </tr>
@@ -76,16 +78,16 @@
             <td>
               <a tal:attributes="href python: view.url(appl)"
-                 tal:content="appl/__name__"> Number </a>
+                 tal:content="appl/__name__">NUMBER</a>
             </td>
             <td>
-              <span tal:replace="appl/display_fullname">Fullname
+              <span tal:replace="appl/display_fullname">FULLNAME
               </span>
             </td>
             <td>
-              <span tal:replace="appl/course1/code|nothing">First Choice
+              <span tal:replace="appl/course1/code|nothing">FIRSTCHOICE
               </span>
             </td>
             <td>
-              <span tal:replace="appl/translated_state">State
+              <span tal:replace="appl/translated_state">STATE
               </span>
             </td>
@@ -106,9 +108,9 @@
             <th>&nbsp;
             </th>
-            <th>User Id
+            <th i18n:translate="">User Id
             </th>
-            <th>Name
+            <th i18n:translate="">Name
             </th>
-            <th>Local Role
+            <th i18n:translate="">Local Role
             </th>
           </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 7710)
@@ -1,3 +1,4 @@
-<form action="." tal:attributes="action request/URL" method="POST"  enctype="multipart/form-data">
+<form action="." tal:attributes="action request/URL"
+  i18n:domain="waeup.sirp" method="POST"  enctype="multipart/form-data">
   <ul class="tabs" data-tabs="tabs">
     <li class="active">
@@ -8,5 +9,5 @@
     <li>
     <a href="#tab-2">
-      <span>Local Roles
+      <span i18n:translate="">Local Roles
       </span></a>
     </li>
@@ -14,5 +15,5 @@
   <div class="tab-content">
     <div id="tab-1" class="active">
-      <h3 tal:content="view/subunits">Applicants Containers</h3>
+      <h3 tal:content="view/subunits">SUBUNITS</h3>
       <table class="display dataTableManage">
         <thead>
@@ -20,9 +21,9 @@
             <th>&nbsp;
             </th>
-            <th>Year
+            <th i18n:translate="">Year
             </th>
-            <th>Code
+            <th i18n:translate="">Code
             </th>
-            <th>Title
+            <th i18n:translate="">Title
             </th>
           </tr>
@@ -30,8 +31,11 @@
         <tbody>
           <tr tal:repeat="entry context/values" 	class="gradeC"> <td>
-              <input type="checkbox" name="val_id"   tal:attributes="value entry/__name__" /> </td>
-            <td tal:content="entry/year">Year </td> <td>
-              <a href="" 	 tal:attributes="href python:view.url(entry)"   tal:content="entry/__name__">Code</a> </td>
-            <td tal:content="entry/title">Title </td>
+              <input type="checkbox" name="val_id"
+                tal:attributes="value entry/__name__" /> </td>
+            <td tal:content="entry/year">YEAR</td> <td>
+              <a href=""
+                tal:attributes="href python:view.url(entry)"
+                tal:content="entry/__name__">CODE</a> </td>
+            <td tal:content="entry/title">TITLE</td>
           </tr>
         </tbody>
@@ -39,5 +43,6 @@
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.taboneactions"   tal:replace="structure action/render"/>
+          <input tal:condition="python:action.label in view.taboneactions"
+            tal:replace="structure action/render"/>
         </span>
       </div>
@@ -49,18 +54,19 @@
             <th>&nbsp;
             </th>
-            <th>User Id
+            <th i18n:translate="">User Id
             </th>
-            <th>Name
+            <th i18n:translate="">Name
             </th>
-            <th>Local Role
+            <th i18n:translate="">Local Role
             </th>
           </tr>
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC">  <td>
-              <input type="checkbox" name="role_id" tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
-            <td tal:content="entry/user_name"> USERNAME   </td>
-            <td tal:content="entry/user_title"> USERTITLE   </td>
-            <td tal:content="entry/local_role_title"> LOCAL ROLE   </td>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC">
+            <td> <input type="checkbox" name="role_id"
+                    tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
+            <td tal:content="entry/user_name">USERNAME</td>
+            <td tal:content="entry/user_title">USERTITLE</td>
+            <td tal:content="entry/local_role_title">LOCAL ROLE</td>
           </tr>
         </tbody>
@@ -68,5 +74,6 @@
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabtwoactions1" tal:replace="structure action/render"/>
+          <input tal:condition="python:action.label in view.tabtwoactions1"
+            tal:replace="structure action/render"/>
         </span>
       </div> <br /><br />
@@ -74,5 +81,6 @@
         <tr> <td>
             <select id="user" name="user">
-              <option tal:repeat="user view/getUsers" tal:attributes="value user/name">
+              <option tal:repeat="user view/getUsers"
+                tal:attributes="value user/name">
               <span tal:replace="user/val/title">USERTITLE
               </span>
@@ -80,5 +88,6 @@
             </select> </td> <td>
             <select id="local_role" name="local_role">
-              <option tal:repeat="localrole view/getLocalRoles" tal:attributes="value localrole/name">
+              <option tal:repeat="localrole view/getLocalRoles"
+                tal:attributes="value localrole/name">
               <span tal:replace="localrole/title">LOCALROLETITLE
               </span>
@@ -87,5 +96,6 @@
             <div tal:condition="view/availableActions">
               <span tal:repeat="action view/actions" tal:omit-tag="">
-                <input tal:condition="python:action.label in view.tabtwoactions2" tal:replace="structure action/render"/>
+                <input tal:condition="python:action.label in view.tabtwoactions2"
+                  tal:replace="structure action/render"/>
               </span>
             </div> </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootpage.pt	(revision 7708)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootpage.pt	(revision 7710)
@@ -1,6 +1,9 @@
-<table>
+<table i18n:domain="waeup.sirp">
   <thead>
     <tr>
-      <th>Year</th><th>Code</th><th>Title</th><th>Application Period</th>
+      <th i18n:translate="">Year</th>
+      <th i18n:translate="">Code</th>
+      <th i18n:translate="">Title</th>
+      <th i18n:translate="">Application Period</th>
     </tr>
   </thead>
@@ -9,15 +12,15 @@
       <td tal:content="entry/year">Year
       </td>	
-      <td tal:content="entry/__name__">Code
+      <td tal:content="entry/__name__">CODE
       </td>
       <td>
 	     <a href=""
     	   tal:attributes="href python:view.url(entry)"
-    	   tal:content="entry/title">Title</a>
+    	   tal:content="entry/title">TITLE</a>
       </td>
       <td>
-      <span tal:content="python: layout.formatDate(entry.startdate)">Start</span>
+      <span tal:content="python: layout.formatDate(entry.startdate)">START</span>
       -
-      <span tal:content="python: layout.formatDate(entry.enddate)">End</span>
+      <span tal:content="python: layout.formatDate(entry.enddate)">END</span>
       </td>
     </tr>