Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7710)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7714)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Mon Feb 27 14:57:41 2012\n"
+"POT-Creation-Date: Tue Feb 28 11:30:16 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -60,13 +60,15 @@
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:116 waeup/sirp/applicants/browser.py:323
+#: waeup/sirp/applicants/browser.py:117 waeup/sirp/applicants/browser.py:324
+#: waeup/sirp/applicants/browser.py:743
 msgid "Could not delete:"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:119 waeup/sirp/applicants/browser.py:326
+#: waeup/sirp/applicants/browser.py:120 waeup/sirp/applicants/browser.py:327
+#: waeup/sirp/applicants/browser.py:746
 msgid "Successfully removed:"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:167
+#: waeup/sirp/applicants/browser.py:168
 msgid ""
 "An applicants container for the same application type and entrance year "
@@ -74,9 +76,9 @@
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:176
+#: waeup/sirp/applicants/browser.py:177
 msgid "Added:"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:188 waeup/sirp/applicants/viewlets.py:44
+#: waeup/sirp/applicants/browser.py:189 waeup/sirp/applicants/viewlets.py:44
 #: waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt:12
 #: waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt:57
@@ -84,125 +86,267 @@
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:252 waeup/sirp/browser/pages.py:476
+#: waeup/sirp/applicants/browser.py:253 waeup/sirp/applicants/browser.py:300
+#: waeup/sirp/applicants/browser.py:652 waeup/sirp/applicants/browser.py:686
+#: waeup/sirp/applicants/browser.py:788 waeup/sirp/applicants/browser.py:791
+#: waeup/sirp/applicants/browser.py:835 waeup/sirp/browser/pages.py:476
 #: waeup/sirp/browser/pages.py:631 waeup/sirp/browser/pages.py:654
 #: waeup/sirp/browser/pages.py:728 waeup/sirp/browser/pages.py:1164
-#: waeup/sirp/browser/pages.py:1336 waeup/sirp/browser/pages.py:1377
-#: waeup/sirp/browser/pages.py:1503 waeup/sirp/browser/pages.py:1556
-#: waeup/sirp/browser/pages.py:1699 waeup/sirp/browser/pages.py:1750
-#: waeup/sirp/browser/pages.py:1771
+#: waeup/sirp/browser/pages.py:1335 waeup/sirp/browser/pages.py:1376
+#: waeup/sirp/browser/pages.py:1502 waeup/sirp/browser/pages.py:1555
+#: waeup/sirp/browser/pages.py:1698 waeup/sirp/browser/pages.py:1749
+#: waeup/sirp/browser/pages.py:1770
 msgid "Save"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:253 waeup/sirp/applicants/browser.py:330
+#: waeup/sirp/applicants/browser.py:254 waeup/sirp/applicants/browser.py:331
+#: waeup/sirp/applicants/browser.py:359
 msgid "Add applicant"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:263
+#: waeup/sirp/applicants/browser.py:264 waeup/sirp/applicants/viewlets.py:95
 msgid "Manage applicants container"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:303 waeup/sirp/browser/pages.py:1380
-#: waeup/sirp/browser/pages.py:1702 waeup/sirp/browser/pages.py:1774
-#: waeup/sirp/browser/pages.py:1886
+#: waeup/sirp/applicants/browser.py:304 waeup/sirp/applicants/browser.py:715
+#: waeup/sirp/browser/pages.py:1379 waeup/sirp/browser/pages.py:1701
+#: waeup/sirp/browser/pages.py:1773 waeup/sirp/browser/pages.py:1885
 msgid "Form has been saved."
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:312
+#: waeup/sirp/applicants/browser.py:313
 msgid "No applicant selected!"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:63
+#: waeup/sirp/applicants/browser.py:362
+msgid "Create application record"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:367
+msgid "Applicant record created."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:380
+msgid "Applicant"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:395
+msgid "set"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:396
+msgid "unset"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/applicants/browser.py:401
+msgid "${a} Application Record ${b}"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:452
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:459
+msgid "This type of payment has already been made."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:472
+msgid "Payment ticket created."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/applicants/browser.py:499
+msgid "${a}: Online Payment Ticket ${b}"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:527
+msgid "Valid callback received."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:548
+msgid "Payment Data"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:554
+msgid "Online Payment Receipt"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:560
+msgid "Ticket not yet paid."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:625
+msgid "Uploaded image is too big!"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:630
+msgid "jpg file extension expected."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:64
 msgid "Application Section"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:672 waeup/sirp/students/browser.py:344
+#: waeup/sirp/applicants/browser.py:652 waeup/sirp/applicants/browser.py:791
+#: waeup/sirp/applicants/browser.py:843
+msgid "Final Submit"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:653 waeup/sirp/applicants/browser.py:755
+#: waeup/sirp/applicants/browser.py:789 waeup/sirp/applicants/browser.py:824
+msgid "Add online payment ticket"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:653 waeup/sirp/applicants/browser.py:760
+#: waeup/sirp/applicants/browser.py:789 waeup/sirp/applicants/browser.py:792
+#: waeup/sirp/applicants/browser.py:829
+msgid "Remove selected tickets"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/applicants/browser.py:672
+msgid "${a} Application Form ${b}"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:683 waeup/sirp/students/browser.py:344
 msgid "No transition"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:75
+#: waeup/sirp/applicants/browser.py:730
+msgid "No payment selected."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:76 waeup/sirp/applicants/viewlets.py:88
 msgid "Manage application section"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:78 waeup/sirp/applicants/browser.py:104
-#: waeup/sirp/applicants/browser.py:253 waeup/sirp/applicants/browser.py:306
+#: waeup/sirp/applicants/browser.py:79 waeup/sirp/applicants/browser.py:105
+#: waeup/sirp/applicants/browser.py:254 waeup/sirp/applicants/browser.py:307
 #: waeup/sirp/browser/pages.py:634 waeup/sirp/browser/pages.py:675
-#: waeup/sirp/browser/pages.py:1260 waeup/sirp/browser/pages.py:1271
-#: waeup/sirp/browser/pages.py:1337 waeup/sirp/browser/pages.py:1372
+#: waeup/sirp/browser/pages.py:1259 waeup/sirp/browser/pages.py:1270
+#: waeup/sirp/browser/pages.py:1336 waeup/sirp/browser/pages.py:1371
 msgid "Remove selected"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:78 waeup/sirp/applicants/browser.py:123
-#: waeup/sirp/applicants/browser.py:146 waeup/sirp/applicants/browser.py:158
+#: waeup/sirp/applicants/browser.py:79 waeup/sirp/applicants/browser.py:124
+#: waeup/sirp/applicants/browser.py:147 waeup/sirp/applicants/browser.py:159
 msgid "Add applicants container"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:79 waeup/sirp/applicants/browser.py:128
-#: waeup/sirp/applicants/browser.py:180 waeup/sirp/applicants/browser.py:252
-#: waeup/sirp/applicants/browser.py:253 waeup/sirp/applicants/browser.py:335
+#: waeup/sirp/applicants/browser.py:80 waeup/sirp/applicants/browser.py:129
+#: waeup/sirp/applicants/browser.py:181 waeup/sirp/applicants/browser.py:253
+#: waeup/sirp/applicants/browser.py:254 waeup/sirp/applicants/browser.py:336
 #: waeup/sirp/browser/pages.py:503 waeup/sirp/browser/pages.py:708
 #: waeup/sirp/browser/pages.py:735 waeup/sirp/browser/pages.py:758
 #: waeup/sirp/browser/pages.py:805 waeup/sirp/browser/pages.py:835
 #: waeup/sirp/browser/pages.py:955 waeup/sirp/browser/pages.py:1166
-#: waeup/sirp/browser/pages.py:1260 waeup/sirp/browser/pages.py:1281
-#: waeup/sirp/browser/pages.py:1308 waeup/sirp/browser/pages.py:1336
-#: waeup/sirp/browser/pages.py:1337 waeup/sirp/browser/pages.py:1383
-#: waeup/sirp/browser/pages.py:1424 waeup/sirp/browser/pages.py:1503
-#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1506
-#: waeup/sirp/browser/pages.py:1584 waeup/sirp/browser/pages.py:1629
-#: waeup/sirp/browser/pages.py:1667 waeup/sirp/browser/pages.py:1711
-#: waeup/sirp/browser/pages.py:1750 waeup/sirp/browser/pages.py:1752
-#: waeup/sirp/browser/pages.py:1787 waeup/sirp/browser/pages.py:1838
-#: waeup/sirp/browser/pages.py:1890
+#: waeup/sirp/browser/pages.py:1259 waeup/sirp/browser/pages.py:1280
+#: waeup/sirp/browser/pages.py:1307 waeup/sirp/browser/pages.py:1335
+#: waeup/sirp/browser/pages.py:1336 waeup/sirp/browser/pages.py:1382
+#: waeup/sirp/browser/pages.py:1423 waeup/sirp/browser/pages.py:1502
+#: waeup/sirp/browser/pages.py:1503 waeup/sirp/browser/pages.py:1505
+#: waeup/sirp/browser/pages.py:1583 waeup/sirp/browser/pages.py:1628
+#: waeup/sirp/browser/pages.py:1666 waeup/sirp/browser/pages.py:1710
+#: waeup/sirp/browser/pages.py:1749 waeup/sirp/browser/pages.py:1751
+#: waeup/sirp/browser/pages.py:1786 waeup/sirp/browser/pages.py:1837
+#: waeup/sirp/browser/pages.py:1889
 msgid "Cancel"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:80 waeup/sirp/applicants/browser.py:137
-#: waeup/sirp/applicants/browser.py:254 waeup/sirp/applicants/browser.py:344
-#: waeup/sirp/browser/pages.py:1338 waeup/sirp/browser/pages.py:1397
-#: waeup/sirp/browser/pages.py:1507 waeup/sirp/browser/pages.py:1593
-#: waeup/sirp/browser/pages.py:1753 waeup/sirp/browser/pages.py:1810
+#: waeup/sirp/applicants/browser.py:802
+msgid "The requested form is locked (read-only)."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:81 waeup/sirp/applicants/browser.py:138
+#: waeup/sirp/applicants/browser.py:255 waeup/sirp/applicants/browser.py:345
+#: waeup/sirp/browser/pages.py:1337 waeup/sirp/browser/pages.py:1396
+#: waeup/sirp/browser/pages.py:1506 waeup/sirp/browser/pages.py:1592
+#: waeup/sirp/browser/pages.py:1752 waeup/sirp/browser/pages.py:1809
 msgid "Remove selected local roles"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:81 waeup/sirp/applicants/browser.py:133
-#: waeup/sirp/applicants/browser.py:255 waeup/sirp/applicants/browser.py:340
-#: waeup/sirp/browser/pages.py:1339 waeup/sirp/browser/pages.py:1393
-#: waeup/sirp/browser/pages.py:1508 waeup/sirp/browser/pages.py:1589
-#: waeup/sirp/browser/pages.py:1754 waeup/sirp/browser/pages.py:1806
+#: waeup/sirp/applicants/browser.py:816
+msgid "No passport picture uploaded."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:818
+msgid "Passport picture confirmation box not ticked."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:82 waeup/sirp/applicants/browser.py:134
+#: waeup/sirp/applicants/browser.py:256 waeup/sirp/applicants/browser.py:341
+#: waeup/sirp/browser/pages.py:1338 waeup/sirp/browser/pages.py:1392
+#: waeup/sirp/browser/pages.py:1507 waeup/sirp/browser/pages.py:1588
+#: waeup/sirp/browser/pages.py:1753 waeup/sirp/browser/pages.py:1805
 msgid "Add local role"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:82
+#: waeup/sirp/applicants/browser.py:83
 msgid "Applicants Containers"
 msgstr ""
 
-#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:26
-msgid "Admitted Course of Study:"
-msgstr ""
-
-#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:43
-msgid "Acceptance Fee Payment Tickets"
-msgstr ""
-
+#: waeup/sirp/applicants/browser.py:855
+msgid "This form cannot be submitted. Wrong state!"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:860
+msgid "Form has been submitted."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/applicants/browser.py:895
+msgid "Register for ${a} Application"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:901
+msgid "Application has not yet started."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:906
+msgid "Application has ended."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:915
+msgid "Get login credentials"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:930
+msgid "You have successfully been registered for the"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:937
+msgid "Email could not been sent. Please retry later."
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:946
+msgid "Your registration was successful."
+msgstr ""
+
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:100
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:49
 msgid "Payment Id"
 msgstr ""
 
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:101
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:50
 msgid "Creation Date"
 msgstr ""
 
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
 msgid "Payment Date"
 msgstr ""
 
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:103
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:52
 msgid "Category"
 msgstr ""
 
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:104
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:53
 msgid "Item"
 msgstr ""
 
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:105
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:54
 msgid "State"
@@ -225,4 +369,9 @@
 "I confirm that the Passport Photograph uploaded on this form is a true "
 "picture of me."
+msgstr ""
+
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:92
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:43
+msgid "Acceptance Fee Payment Tickets"
 msgstr ""
 
@@ -433,6 +582,70 @@
 msgstr ""
 
+#: waeup/sirp/applicants/pdf.py:110
+msgid "Department:"
+msgstr ""
+
+#: waeup/sirp/applicants/pdf.py:121
+msgid "Faculty:"
+msgstr ""
+
+#: waeup/sirp/applicants/pdf.py:182
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:26
+msgid "Admitted Course of Study:"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/applicants/pdf.py:200
+msgid ""
+"<font size=10>Proceed to the login page of the portal and enter your new "
+"credentials: user name= ${a}, password = ${b}.</font>"
+msgstr ""
+
+#: waeup/sirp/applicants/pdf.py:206
+msgid "<font size=10>Change your password when you have  logged in.</font>"
+msgstr ""
+
+#: waeup/sirp/applicants/pdf.py:57
+msgid "Application Record"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:103
+msgid "Register for application"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:111
+msgid "View application record"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:119
+msgid "Manage application record"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:127
+msgid "Edit application record"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:143
+msgid "Download application slip"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:151 waeup/sirp/applicants/workflow.py:99
+msgid "Create student record"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:168
+msgid "Download payment receipt"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:183
+msgid "Request callback"
+msgstr ""
+
 #: waeup/sirp/applicants/viewlets.py:57
 msgid "Application"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:73
+msgid "My Data"
 msgstr ""
 
@@ -528,8 +741,4 @@
 msgstr ""
 
-#: waeup/sirp/applicants/workflow.py:99
-msgid "Create student record"
-msgstr ""
-
 #: waeup/sirp/browser/breadcrumbs.py:104
 msgid "Portal Settings"
@@ -627,31 +836,31 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1248
+#: waeup/sirp/browser/pages.py:1247
 msgid "Academic Section"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1260 waeup/sirp/browser/pages.py:1276
-#: waeup/sirp/browser/pages.py:1293 waeup/sirp/browser/pages.py:1297
+#: waeup/sirp/browser/pages.py:1259 waeup/sirp/browser/pages.py:1275
+#: waeup/sirp/browser/pages.py:1292 waeup/sirp/browser/pages.py:1296
 msgid "Add faculty"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1261
+#: waeup/sirp/browser/pages.py:1260
 msgid "Faculties"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1265 waeup/sirp/browser/viewlets.py:431
+#: waeup/sirp/browser/pages.py:1264 waeup/sirp/browser/viewlets.py:431
 msgid "Manage academic section"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1304
+#: waeup/sirp/browser/pages.py:1303
 msgid "The faculty code chosen already exists."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1325 waeup/sirp/browser/pages.py:1335
+#: waeup/sirp/browser/pages.py:1324 waeup/sirp/browser/pages.py:1334
 msgid "Departments"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1337 waeup/sirp/browser/pages.py:1388
-#: waeup/sirp/browser/pages.py:1407 waeup/sirp/browser/pages.py:1411
+#: waeup/sirp/browser/pages.py:1336 waeup/sirp/browser/pages.py:1387
+#: waeup/sirp/browser/pages.py:1406 waeup/sirp/browser/pages.py:1410
 msgid "Add department"
 msgstr ""
@@ -662,45 +871,45 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1345 waeup/sirp/browser/viewlets.py:447
+#: waeup/sirp/browser/pages.py:1344 waeup/sirp/browser/viewlets.py:447
 msgid "Manage faculty"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1418
+#: waeup/sirp/browser/pages.py:1417
 msgid "The code chosen already exists in this faculty."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1421
+#: waeup/sirp/browser/pages.py:1420
 msgid "Department ${a} added."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1438
+#: waeup/sirp/browser/pages.py:1437
 msgid "Courses and Certificates"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1468 waeup/sirp/browser/pages.py:1487
+#: waeup/sirp/browser/pages.py:1467 waeup/sirp/browser/pages.py:1486
 #: waeup/sirp/students/viewlets.py:466
 msgid "Students"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1562
+#: waeup/sirp/browser/pages.py:1503 waeup/sirp/browser/pages.py:1561
 msgid "Remove selected courses"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1574
-#: waeup/sirp/browser/pages.py:1603 waeup/sirp/browser/pages.py:1607
+#: waeup/sirp/browser/pages.py:1503 waeup/sirp/browser/pages.py:1573
+#: waeup/sirp/browser/pages.py:1602 waeup/sirp/browser/pages.py:1606
 msgid "Add course"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1505 waeup/sirp/browser/pages.py:1568
+#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1567
 msgid "Remove selected certificates"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1505 waeup/sirp/browser/pages.py:1579
-#: waeup/sirp/browser/pages.py:1640 waeup/sirp/browser/pages.py:1644
+#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1578
+#: waeup/sirp/browser/pages.py:1639 waeup/sirp/browser/pages.py:1643
 msgid "Add certificate"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1514 waeup/sirp/browser/viewlets.py:454
+#: waeup/sirp/browser/pages.py:1513 waeup/sirp/browser/viewlets.py:454
 msgid "Manage department"
 msgstr ""
@@ -716,40 +925,40 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1619
+#: waeup/sirp/browser/pages.py:1618
 msgid "A course with same code already exists: "
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1625
+#: waeup/sirp/browser/pages.py:1624
 msgid "Course ${a} successfully created."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1656
+#: waeup/sirp/browser/pages.py:1655
 msgid "A certificate with same code already exists: "
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1662
+#: waeup/sirp/browser/pages.py:1661
 msgid "Certificate ${a} successfully created."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1694 waeup/sirp/browser/viewlets.py:471
+#: waeup/sirp/browser/pages.py:1693 waeup/sirp/browser/viewlets.py:471
 msgid "Edit course"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1744
+#: waeup/sirp/browser/pages.py:1743
 msgid "Edit certificate"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1751 waeup/sirp/browser/pages.py:1782
-#: waeup/sirp/browser/pages.py:1823 waeup/sirp/browser/pages.py:1825
+#: waeup/sirp/browser/pages.py:1750 waeup/sirp/browser/pages.py:1781
+#: waeup/sirp/browser/pages.py:1822 waeup/sirp/browser/pages.py:1824
 msgid "Add course referrer"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1752 waeup/sirp/browser/pages.py:1777
+#: waeup/sirp/browser/pages.py:1751 waeup/sirp/browser/pages.py:1776
 msgid "Remove selected course referrers"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1758 waeup/sirp/browser/viewlets.py:478
+#: waeup/sirp/browser/pages.py:1757 waeup/sirp/browser/viewlets.py:478
 msgid "Manage certificate"
 msgstr ""
@@ -759,18 +968,18 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1830
+#: waeup/sirp/browser/pages.py:1829
 msgid "The chosen course referrer is already part of this certificate."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1834
+#: waeup/sirp/browser/pages.py:1833
 msgid "Course referrer ${a}_${b} added."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1871 waeup/sirp/browser/viewlets.py:495
+#: waeup/sirp/browser/pages.py:1870 waeup/sirp/browser/viewlets.py:495
 msgid "Edit course referrer"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1874
+#: waeup/sirp/browser/pages.py:1873
 msgid "Save and return"
 msgstr ""
@@ -1410,4 +1619,13 @@
 msgstr ""
 
+#. Default: ""
+#: waeup/sirp/students/utils.py:163
+msgid "<font size=10>${a} Page ${b} of ${c}</font>"
+msgstr ""
+
+#: waeup/sirp/students/utils.py:276
+msgid "Base Data"
+msgstr ""
+
 #: waeup/sirp/students/vocabularies.py:135
 msgid "Male"