Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7715)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7716)
@@ -16,5 +16,5 @@
 "Project-Id-Version: WAeUP.SIRP\n"
 "POT-Creation-Date: Tue Feb 28 11:30:16 2012\n"
-"PO-Revision-Date: 2012-02-28 11:32+0100\n"
+"PO-Revision-Date: 2012-02-28 12:27+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -30,9 +30,9 @@
 #: waeup/sirp/accesscodes/workflow.py:100
 msgid "Disable used PIN"
-msgstr "Deaktiviere benutzte PIN"
+msgstr "Benutzte PIN deaktivieren"
 
 #: waeup/sirp/accesscodes/workflow.py:107
 msgid "Reenable disabled PIN"
-msgstr "Reaktiviere deaktivierte PIN"
+msgstr "Deaktivierte PIN reaktivieren"
 
 #: waeup/sirp/accesscodes/workflow.py:35
@@ -51,13 +51,13 @@
 #: waeup/sirp/accesscodes/workflow.py:79
 msgid "Initialize PIN"
-msgstr "Initialisiere PIN"
+msgstr "PIN initialisieren"
 
 #: waeup/sirp/accesscodes/workflow.py:86
 msgid "Use PIN"
-msgstr "Verwende PIN"
+msgstr "PIN verwenden"
 
 #: waeup/sirp/accesscodes/workflow.py:93
 msgid "Disable unused PIN"
-msgstr "Deaktiviere unbenutzte PIN"
+msgstr "Unbenutzte PIN deaktivieren"
 
 #: waeup/sirp/applicants/browser.py:117
@@ -86,5 +86,5 @@
 #: waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt:57
 msgid "Applicants"
-msgstr "Antragssteller"
+msgstr "Antragsteller"
 
 #: waeup/sirp/applicants/browser.py:253
@@ -114,10 +114,10 @@
 #: waeup/sirp/applicants/browser.py:359
 msgid "Add applicant"
-msgstr "Antragssteller hinzufügen"
+msgstr "Antragsteller hinzufügen"
 
 #: waeup/sirp/applicants/browser.py:264
 #: waeup/sirp/applicants/viewlets.py:95
 msgid "Manage applicants container"
-msgstr "Bearbeite Ordner für Antragssteller"
+msgstr "Ordner für Antragsteller verwalten"
 
 #: waeup/sirp/applicants/browser.py:304
@@ -136,13 +136,13 @@
 #: waeup/sirp/applicants/browser.py:362
 msgid "Create application record"
-msgstr "Antragsdatensatz hinzufügen"
+msgstr "Antrag hinzufügen"
 
 #: waeup/sirp/applicants/browser.py:367
 msgid "Applicant record created."
-msgstr "Antragsdatensatz wurde erzeugt."
+msgstr "Antrag wurde erzeugt."
 
 #: waeup/sirp/applicants/browser.py:380
 msgid "Applicant"
-msgstr "Antragssteller"
+msgstr "Antragsteller"
 
 #: waeup/sirp/applicants/browser.py:395
@@ -157,5 +157,5 @@
 #: waeup/sirp/applicants/browser.py:401
 msgid "${a} Application Record ${b}"
-msgstr "${a} Antragsdatensatz ${b}"
+msgstr "${a} Antrag ${b}"
 
 #: waeup/sirp/applicants/browser.py:452
@@ -202,5 +202,5 @@
 #: waeup/sirp/applicants/browser.py:64
 msgid "Application Section"
-msgstr "Antragsstellung"
+msgstr "Antragstellung"
 
 #: waeup/sirp/applicants/browser.py:652
@@ -215,5 +215,5 @@
 #: waeup/sirp/applicants/browser.py:824
 msgid "Add online payment ticket"
-msgstr "Füge Ticket für Online-Bezahlung hinzu"
+msgstr "Ticket für Online-Bezahlung hinzufügen"
 
 #: waeup/sirp/applicants/browser.py:653
@@ -242,5 +242,5 @@
 #: waeup/sirp/applicants/viewlets.py:88
 msgid "Manage application section"
-msgstr "Bearbeite Antragsstellungsverfahren"
+msgstr "Antragstellungsverfahren verwalten"
 
 #: waeup/sirp/applicants/browser.py:79
@@ -262,5 +262,5 @@
 #: waeup/sirp/applicants/browser.py:159
 msgid "Add applicants container"
-msgstr "Ordner für Antragssteller hinzufügen"
+msgstr "Ordner für Antragsteller hinzufügen"
 
 #: waeup/sirp/applicants/browser.py:80
@@ -340,5 +340,5 @@
 #: waeup/sirp/applicants/browser.py:83
 msgid "Applicants Containers"
-msgstr "Ordner für Antragssteller"
+msgstr "Ordner für Antragsteller"
 
 #: waeup/sirp/applicants/browser.py:855
@@ -353,5 +353,5 @@
 #: waeup/sirp/applicants/browser.py:895
 msgid "Register for ${a} Application"
-msgstr "Registrierung für die ${a} Antragsstellung"
+msgstr "Antragstellung für ${a}"
 
 #: waeup/sirp/applicants/browser.py:901
@@ -419,9 +419,9 @@
 #: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:61
 msgid "Application Transition:"
-msgstr "Zustandsänderung der Antragsstellung:"
+msgstr "Zustandsänderung der Antragstellung:"
 
 #: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:77
 msgid "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
-msgstr "I bestätige, dass die hochgeladene Fotografie ein naturgetreues Portrait von mir ist."
+msgstr "Ich bestätige, dass die hochgeladene Fotografie ein naturgetreues Portrait von mir ist."
 
 #: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:92
@@ -448,5 +448,5 @@
 #: waeup/sirp/applicants/browser_templates/applicantregister.pt:36
 msgid "An account will be created for you and an email with your login credentials will be sent to the address provided."
-msgstr "Ein Benutzerkonto wir für Sie eingerichtet. Anschließend werden die die Anmeldedaten an die von Ihnen zur Verfügung gestellte Emailadresse versendet."
+msgstr "Ein Benutzerkonto wird für Sie eingerichtet. Anschließend werden die die Anmeldedaten an die von Ihnen zur Verfügung gestellte Emailadresse versendet."
 
 #: waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt:63
@@ -464,5 +464,5 @@
 #: waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt:69
 msgid "Application State"
-msgstr "Status der Antragsstellung"
+msgstr "Status der Antragstellung"
 
 #: waeup/sirp/applicants/browser_templates/applicantsrootpage.pt:4
@@ -541,17 +541,17 @@
 #: waeup/sirp/applicants/interfaces.py:273
 msgid "Application Start Date"
-msgstr "Beginn der Antragsstellung"
+msgstr "Beginn der Antragsperiode"
 
 #: waeup/sirp/applicants/interfaces.py:279
 msgid "Application Closing Date"
-msgstr "Ende der Antragsstellung"
+msgstr "Ende der Antragsperiode"
 
 #: waeup/sirp/applicants/interfaces.py:285
 msgid "Forbid additions after deadline (enddate)"
-msgstr "Verbiete Antragsstellung nach Ablauf der Antragsfrist"
+msgstr "Antragstellung nach Ablauf der Antragsfrist verbieten"
 
 #: waeup/sirp/applicants/interfaces.py:368
 msgid "Applicant Id"
-msgstr "Antragssteller Id"
+msgstr "Antragsteller Id"
 
 #: waeup/sirp/applicants/interfaces.py:373
@@ -662,30 +662,30 @@
 #: waeup/sirp/applicants/viewlets.py:103
 msgid "Register for application"
-msgstr "Registriere für Antragstellung"
+msgstr "Für Antragstellung registrieren"
 
 #: waeup/sirp/applicants/viewlets.py:111
 msgid "View application record"
-msgstr "Antragsdatensatz anschauen"
+msgstr "Antrag anschauen"
 
 #: waeup/sirp/applicants/viewlets.py:119
 msgid "Manage application record"
-msgstr "Verwalte Antragsdatensatz"
+msgstr "Antrag verwalten"
 
 #: waeup/sirp/applicants/viewlets.py:127
 msgid "Edit application record"
-msgstr "Editiere Antragsdatensatz"
+msgstr "Antrag bearbeiten"
 
 #: waeup/sirp/applicants/viewlets.py:143
 msgid "Download application slip"
-msgstr "Lade Antrag herunter"
+msgstr "Antrag herunterladen"
 
 #: waeup/sirp/applicants/viewlets.py:151
 #: waeup/sirp/applicants/workflow.py:99
 msgid "Create student record"
-msgstr "Erzeuge Studenten"
+msgstr "Studenten erzeugen"
 
 #: waeup/sirp/applicants/viewlets.py:168
 msgid "Download payment receipt"
-msgstr "Lade Quittung herunter"
+msgstr "Quittung herunterladen"
 
 #: waeup/sirp/applicants/viewlets.py:183
@@ -695,5 +695,5 @@
 #: waeup/sirp/applicants/viewlets.py:57
 msgid "Application"
-msgstr "Antragsstellung"
+msgstr "Antragstellung"
 
 #: waeup/sirp/applicants/viewlets.py:73
@@ -711,5 +711,5 @@
 #: waeup/sirp/applicants/workflow.py:127
 msgid "Reset application to started"
-msgstr "Setze Antrag zurück"
+msgstr "Antrag zurücksetzen"
 
 #: waeup/sirp/applicants/workflow.py:107
@@ -723,9 +723,9 @@
 #: waeup/sirp/applicants/workflow.py:133
 msgid "Reset application to paid"
-msgstr "Setze Antrag zurück auf 'Gebühren bezahlt'"
+msgstr "Antrag zurück auf 'Gebühren bezahlt' zurücksetzen"
 
 #: waeup/sirp/applicants/workflow.py:38
 msgid "started"
-msgstr "gestarted"
+msgstr "begonnen"
 
 #: waeup/sirp/applicants/workflow.py:39
@@ -735,5 +735,5 @@
 #: waeup/sirp/applicants/workflow.py:40
 msgid "submitted"
-msgstr "zugelassen"
+msgstr "eingereicht"
 
 #: waeup/sirp/applicants/workflow.py:41
@@ -753,5 +753,5 @@
 #: waeup/sirp/applicants/workflow.py:49
 msgid "Initialize application"
-msgstr "Initialisiere Antrag"
+msgstr "Antrag initialisieren"
 
 #: waeup/sirp/applicants/workflow.py:52
@@ -761,5 +761,5 @@
 #: waeup/sirp/applicants/workflow.py:57
 msgid "Start application"
-msgstr "Starte Antragsvorgang"
+msgstr "Antragsvorgang starten"
 
 #: waeup/sirp/applicants/workflow.py:58
@@ -769,5 +769,5 @@
 #: waeup/sirp/applicants/workflow.py:64
 msgid "Pay acceptance fee"
-msgstr "Zahle Gebühr"
+msgstr "Gebühr bezahlen"
 
 #: waeup/sirp/applicants/workflow.py:65
@@ -777,5 +777,5 @@
 #: waeup/sirp/applicants/workflow.py:71
 msgid "Submit application"
-msgstr "Reiche Antrag ein"
+msgstr "Antrag einreichen"
 
 #: waeup/sirp/applicants/workflow.py:72
@@ -785,14 +785,14 @@
 #: waeup/sirp/applicants/workflow.py:78
 msgid "Admit applicant"
-msgstr "Lasse Antragssteller zu"
+msgstr "Antragsteller zulassen"
 
 #: waeup/sirp/applicants/workflow.py:79
 msgid "Applicant admitted"
-msgstr "Antragssteller zugelassen"
+msgstr "Antragsteller zugelassen"
 
 #: waeup/sirp/applicants/workflow.py:85
 #: waeup/sirp/applicants/workflow.py:92
 msgid "Refuse application"
-msgstr "Lehne Antrag ab"
+msgstr "Antrag ablehnen"
 
 #: waeup/sirp/applicants/workflow.py:86
@@ -851,5 +851,5 @@
 #: waeup/sirp/browser/pages.py:1063
 msgid "View processing log"
-msgstr "Betrache Logdatei"
+msgstr "Logdatei betrachten"
 
 #: waeup/sirp/browser/pages.py:1064
@@ -869,5 +869,5 @@
 #: waeup/sirp/browser/pages.py:1118
 msgid "Show logfiles"
-msgstr "Zeige Logdateien"
+msgstr "Logdateien anzeigen"
 
 #: waeup/sirp/browser/pages.py:1120
@@ -877,5 +877,5 @@
 #: waeup/sirp/browser/pages.py:1121
 msgid "Show"
-msgstr "Zeige"
+msgstr "Zeigen"
 
 #: waeup/sirp/browser/pages.py:113
@@ -885,5 +885,5 @@
 #: waeup/sirp/browser/pages.py:1162
 msgid "Edit data center settings"
-msgstr "Bearbeite Einstellungen des Datenzentrums"
+msgstr "Einstellungen des Datenzentrums bearbeiten"
 
 #: waeup/sirp/browser/pages.py:1182
@@ -921,5 +921,5 @@
 #: waeup/sirp/browser/viewlets.py:431
 msgid "Manage academic section"
-msgstr "Bearbeite Akademie"
+msgstr "Akademie verwalten"
 
 #: waeup/sirp/browser/pages.py:1303
@@ -947,5 +947,5 @@
 #: waeup/sirp/browser/viewlets.py:447
 msgid "Manage faculty"
-msgstr "Bearbeite Fakultät"
+msgstr "Fakultät verwalten"
 
 #: waeup/sirp/browser/pages.py:1417
@@ -995,5 +995,5 @@
 #: waeup/sirp/browser/viewlets.py:454
 msgid "Manage department"
-msgstr "Bearbeite Department"
+msgstr "Department verwalten"
 
 #: waeup/sirp/browser/pages.py:152
@@ -1029,9 +1029,9 @@
 #: waeup/sirp/browser/viewlets.py:471
 msgid "Edit course"
-msgstr "Bearbeite Kurs"
+msgstr "Kurs bearbeiten"
 
 #: waeup/sirp/browser/pages.py:1743
 msgid "Edit certificate"
-msgstr "Bearbeite Zertifikat"
+msgstr "Zertifikat bearbeiten"
 
 #: waeup/sirp/browser/pages.py:1750
@@ -1045,10 +1045,10 @@
 #: waeup/sirp/browser/pages.py:1776
 msgid "Remove selected course referrers"
-msgstr "Lösche ausgewählte Kursreferenzen"
+msgstr "Ausgewählte Kursreferenzen löschen"
 
 #: waeup/sirp/browser/pages.py:1757
 #: waeup/sirp/browser/viewlets.py:478
 msgid "Manage certificate"
-msgstr "Bearbeite Zertifikat"
+msgstr "Zertifikat verwalten"
 
 #: waeup/sirp/browser/pages.py:178
@@ -1068,5 +1068,5 @@
 #: waeup/sirp/browser/viewlets.py:495
 msgid "Edit course referrer"
-msgstr "Bearbeite Kursreferenz"
+msgstr "Kursreferenz bearbeiten"
 
 #: waeup/sirp/browser/pages.py:1873
@@ -1108,5 +1108,5 @@
 #: waeup/sirp/browser/pages.py:387
 msgid "Manage"
-msgstr "Bearbeiten"
+msgstr "Verwalten"
 
 #: waeup/sirp/browser/pages.py:388
@@ -1134,5 +1134,5 @@
 #: waeup/sirp/browser/pages.py:469
 msgid "Edit user ${a}"
-msgstr "Bearbeite Benutzer"
+msgstr "Benutzer bearbeiten"
 
 #: waeup/sirp/browser/pages.py:500
@@ -1157,23 +1157,23 @@
 #: waeup/sirp/browser/pages.py:590
 msgid "Search Academic Section"
-msgstr "Durchsuche Akademie"
+msgstr "Akademie durchsuchen"
 
 #: waeup/sirp/browser/pages.py:592
 #: waeup/sirp/browser/viewlets.py:187
 msgid "Search"
-msgstr "Suche"
+msgstr "Suchen"
 
 #: waeup/sirp/browser/pages.py:617
 msgid "View portal configuration"
-msgstr "Betrachte Portal-Konfiguration"
+msgstr "Portal-Konfiguration betrachten"
 
 #: waeup/sirp/browser/pages.py:630
 msgid "Edit portal configuration"
-msgstr "Bearbeite Portalkonfiguration"
+msgstr "Portalkonfiguration bearbeiten"
 
 #: waeup/sirp/browser/pages.py:631
 #: waeup/sirp/browser/pages.py:680
 msgid "Update plugins"
-msgstr "Aktualisiere Plugins"
+msgstr "Plugins aktualisieren"
 
 #: waeup/sirp/browser/pages.py:633
@@ -1208,5 +1208,5 @@
 #: waeup/sirp/browser/pages.py:725
 msgid "Edit academic session ${a} configuration"
-msgstr "Bearbeite Session ${a}-Konfiguration"
+msgstr "Session ${a}-Konfiguration bearbeiten"
 
 #: waeup/sirp/browser/pages.py:755
@@ -1262,5 +1262,5 @@
 #: waeup/sirp/browser/pages.py:957
 msgid "Set headerfields"
-msgstr "Setze Spaltenüberschrift"
+msgstr "Spaltenüberschrift setzen"
 
 #: waeup/sirp/browser/pages.py:958
@@ -1270,5 +1270,5 @@
 #: waeup/sirp/browser/pages.py:959
 msgid "Perform import"
-msgstr "Führe Import duch"
+msgstr "Import durchführen"
 
 #: waeup/sirp/browser/templates/certificatecoursepage.pt:10
@@ -1384,5 +1384,5 @@
 #: waeup/sirp/browser/templates/datacenterimport3page.pt:44
 msgid "change to:"
-msgstr "ändere zu:"
+msgstr "ändern zu:"
 
 #: waeup/sirp/browser/templates/datacenterimport3page.pt:6
@@ -1392,5 +1392,5 @@
 #: waeup/sirp/browser/templates/datacenterimport3page.pt:8
 msgid "Eventually modify headerfields of import file below."
-msgstr "Ändere Spaltenüberschriften der Importdateien."
+msgstr "Ändern Sie die Spaltenüberschriften der Importdateien."
 
 #: waeup/sirp/browser/templates/datacenterimport4page.pt:1
@@ -1633,23 +1633,23 @@
 #: waeup/sirp/browser/viewlets.py:373
 msgid "Send email"
-msgstr "Versende Email"
+msgstr "Email versenden"
 
 #: waeup/sirp/browser/viewlets.py:424
 msgid "Edit settings"
-msgstr "Bearbeite Einstellungen"
+msgstr "Einstellungen bearbeiten"
 
 #: waeup/sirp/browser/viewlets.py:438
 msgid "Search academic section"
-msgstr "Durchsuche Akademie"
+msgstr "Akademie durchsuchen"
 
 #: waeup/sirp/browser/viewlets.py:463
 #: waeup/sirp/browser/viewlets.py:487
 msgid "Show students"
-msgstr "Zeige Studenten"
+msgstr "Studenten zeigen"
 
 #: waeup/sirp/browser/viewlets.py:518
 #: waeup/sirp/browser/viewlets.py:526
 msgid "Show batch logs"
-msgstr "Zeige Logdateien"
+msgstr "Logdateien zeigen"
 
 #: waeup/sirp/browser/viewlets.py:538
@@ -1659,5 +1659,5 @@
 #: waeup/sirp/browser/viewlets.py:547
 msgid "Upload CSV file"
-msgstr "Lade Datei hoch"
+msgstr "Datei hochladen"
 
 #: waeup/sirp/browser/viewlets.py:620
@@ -1668,5 +1668,5 @@
 #: waeup/sirp/browser/viewlets.py:157
 msgid "Edit"
-msgstr "Bearbeite"
+msgstr "Bearbeiten"
 
 #: waeup/sirp/hostels/browser.py:67
@@ -1774,5 +1774,5 @@
 #: waeup/sirp/students/workflow.py:114
 msgid "Register courses"
-msgstr "Registriere Kurse"
+msgstr "Kurse registrieren"
 
 #: waeup/sirp/students/workflow.py:115
@@ -1783,5 +1783,5 @@
 #: waeup/sirp/students/workflow.py:135
 msgid "Reset to paid"
-msgstr "Setze zurück auf 'Gebühren bezahlt'"
+msgstr "Auf 'Gebühren bezahlt' zurücksetzen"
 
 #: waeup/sirp/students/workflow.py:122
@@ -1792,5 +1792,5 @@
 #: waeup/sirp/students/workflow.py:128
 msgid "Validate courses"
-msgstr "Validiere Kurse"
+msgstr "Kurse validieren"
 
 #: waeup/sirp/students/workflow.py:129
@@ -1800,13 +1800,13 @@
 #: waeup/sirp/students/workflow.py:142
 msgid "Return"
-msgstr "Melde zurück"
+msgstr "Zurückmelden"
 
 #: waeup/sirp/students/workflow.py:143
 msgid "Returned"
-msgstr "rückgemeldet"
+msgstr "zurückgemeldet"
 
 #: waeup/sirp/students/workflow.py:149
 msgid "Reset to validated"
-msgstr "Setze zurück auf 'Kurse validiert'"
+msgstr "Auf 'Kurse validiert' zurücksetzen"
 
 #: waeup/sirp/students/workflow.py:150
@@ -1816,5 +1816,5 @@
 #: waeup/sirp/students/workflow.py:22
 msgid "Create student"
-msgstr "Erzeuge Studenten"
+msgstr "Studentendatensatz erzeugen"
 
 #: waeup/sirp/students/workflow.py:30
@@ -1828,5 +1828,5 @@
 #: waeup/sirp/students/workflow.py:37
 msgid "Reset student"
-msgstr "Setze zurück"
+msgstr "Zurücksetzen"
 
 #: waeup/sirp/students/workflow.py:38
@@ -1836,13 +1836,13 @@
 #: waeup/sirp/students/workflow.py:44
 msgid "Start clearance"
-msgstr "Starte Einschreibung"
+msgstr "Einschreibung starten"
 
 #: waeup/sirp/students/workflow.py:45
 msgid "Clearance started"
-msgstr "Einschreibung begonnen"
+msgstr "Einschreibung gestartet"
 
 #: waeup/sirp/students/workflow.py:51
 msgid "Reset to admitted"
-msgstr "Setze zurück auf 'zugelassen'"
+msgstr "Auf 'zugelassen' zurücksetzen"
 
 #: waeup/sirp/students/workflow.py:52
@@ -1852,5 +1852,5 @@
 #: waeup/sirp/students/workflow.py:58
 msgid "Request clearance"
-msgstr "Beantrage Einschreibung"
+msgstr "Einschreibung beantragen"
 
 #: waeup/sirp/students/workflow.py:59
@@ -1861,5 +1861,5 @@
 #: waeup/sirp/students/workflow.py:79
 msgid "Reset to clearance"
-msgstr "Setze zurück auf 'eingeschrieben'"
+msgstr "Auf 'eingeschrieben' zurücksetzen"
 
 #: waeup/sirp/students/workflow.py:66
@@ -1870,5 +1870,5 @@
 #: waeup/sirp/students/workflow.py:72
 msgid "Clear student"
-msgstr "Schreibe Student ein"
+msgstr "Student einschreiben"
 
 #: waeup/sirp/students/workflow.py:73
@@ -1879,5 +1879,5 @@
 #: waeup/sirp/students/workflow.py:100
 msgid "Pay school fee"
-msgstr "Bezahle Gebühren"
+msgstr "Gebühren bezahlen"
 
 #: waeup/sirp/students/workflow.py:87
@@ -1888,5 +1888,5 @@
 #: waeup/sirp/students/workflow.py:93
 msgid "Reset to cleared"
-msgstr "Setze zurück auf 'eingeschrieben'"
+msgstr "Auf 'eingeschrieben' zurücksetzen"
 
 #: waeup/sirp/students/workflow.py:94