Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7716)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7717)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Tue Feb 28 11:30:16 2012\n"
-"PO-Revision-Date: 2012-02-28 12:27+0100\n"
+"POT-Creation-Date: Tue Feb 28 12:37:24 2012\n"
+"PO-Revision-Date: 2012-02-28 12:41+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -389,9 +389,4 @@
 msgstr "Erstellungsdatum"
 
-#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
-#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
-msgid "Payment Date"
-msgstr "Datum der Zahlung"
-
 #: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:103
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:52
@@ -1706,4 +1701,110 @@
 msgstr "von"
 
+#: waeup/sirp/payments/interfaces.py:106
+msgid "Surcharge 1"
+msgstr "Zusatzgebühr 1"
+
+#: waeup/sirp/payments/interfaces.py:113
+msgid "Surcharge 2"
+msgstr "Zusatzgebühr 2"
+
+#: waeup/sirp/payments/interfaces.py:120
+msgid "Surcharge 3"
+msgstr "Zusatzgebühr 3"
+
+#: waeup/sirp/payments/interfaces.py:133
+msgid "Activation Code"
+msgstr "Aktivierungs-Code"
+
+#: waeup/sirp/payments/interfaces.py:140
+msgid "Response Amount Approved"
+msgstr "Response Amount Approved"
+
+#: waeup/sirp/payments/interfaces.py:147
+msgid "Response Description"
+msgstr "Response Description"
+
+#: waeup/sirp/payments/interfaces.py:154
+msgid "Response Payment Reference"
+msgstr "Response Payment Reference"
+
+#: waeup/sirp/payments/interfaces.py:161
+msgid "Response Code"
+msgstr "Response Code"
+
+#: waeup/sirp/payments/interfaces.py:168
+msgid "Response Card Number"
+msgstr "Response Card Number"
+
+#: waeup/sirp/payments/interfaces.py:24
+msgid "Not yet paid"
+msgstr "Noch nicht bezahlt"
+
+#: waeup/sirp/payments/interfaces.py:25
+msgid "Paid"
+msgstr "Bezahlt"
+
+#: waeup/sirp/payments/interfaces.py:26
+msgid "Failed"
+msgstr "Fehler"
+
+#: waeup/sirp/payments/interfaces.py:30
+msgid "School Fee"
+msgstr "Schulgebühr"
+
+#: waeup/sirp/payments/interfaces.py:31
+msgid "Clearance"
+msgstr "Einschreibung"
+
+#: waeup/sirp/payments/interfaces.py:32
+msgid "Bed Allocation"
+msgstr "Bettenzuweisung"
+
+#: waeup/sirp/payments/interfaces.py:33
+msgid "Hostel Maintenance"
+msgstr "Wohnraum-Mietgebühr"
+
+#: waeup/sirp/payments/interfaces.py:34
+msgid "Transfer"
+msgstr "Studienfachwechsel"
+
+#: waeup/sirp/payments/interfaces.py:35
+msgid "Gown"
+msgstr "Talar"
+
+#: waeup/sirp/payments/interfaces.py:36
+msgid "Acceptance Fee"
+msgstr "Zulassungsgebühr"
+
+#: waeup/sirp/payments/interfaces.py:51
+msgid "Payment Category"
+msgstr "Kategorie der Zahlung"
+
+#: waeup/sirp/payments/interfaces.py:58
+msgid "Payment Item"
+msgstr "Gegenstand der Zahlung"
+
+#: waeup/sirp/payments/interfaces.py:64
+msgid "Payment State"
+msgstr "Status der Zahlung"
+
+#: waeup/sirp/payments/interfaces.py:71
+msgid "Ticket Creation Date"
+msgstr "Erstellungsdatum"
+
+#: waeup/sirp/payments/interfaces.py:76
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
+msgid "Payment Date"
+msgstr "Datum der Zahlung"
+
+#: waeup/sirp/payments/interfaces.py:82
+msgid "Amount Authorized"
+msgstr "Genehmigter Betrag"
+
+#: waeup/sirp/payments/interfaces.py:94
+msgid "Payment Access Code"
+msgstr "Zugangs-Code der Zahlung"
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7716)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7717)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Tue Feb 28 11:30:16 2012\n"
+"POT-Creation-Date: Tue Feb 28 12:37:24 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -331,9 +331,4 @@
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:50
 msgid "Creation Date"
-msgstr ""
-
-#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
-#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
-msgid "Payment Date"
 msgstr ""
 
@@ -1608,4 +1603,110 @@
 msgstr ""
 
+#: waeup/sirp/payments/interfaces.py:106
+msgid "Surcharge 1"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:113
+msgid "Surcharge 2"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:120
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:133
+msgid "Activation Code"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:140
+msgid "Response Amount Approved"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:147
+msgid "Response Description"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:154
+msgid "Response Payment Reference"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:161
+msgid "Response Code"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:168
+msgid "Response Card Number"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:24
+msgid "Not yet paid"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:25
+msgid "Paid"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:26
+msgid "Failed"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:30
+msgid "School Fee"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:31
+msgid "Clearance"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:32
+msgid "Bed Allocation"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:33
+msgid "Hostel Maintenance"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:34
+msgid "Transfer"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:35
+msgid "Gown"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:36
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:51
+msgid "Payment Category"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:58
+msgid "Payment Item"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:64
+msgid "Payment State"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:71
+msgid "Ticket Creation Date"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:76
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
+msgid "Payment Date"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:82
+msgid "Amount Authorized"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:94
+msgid "Payment Access Code"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7716)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7717)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Tue Feb 28 11:30:16 2012\n"
+"POT-Creation-Date: Tue Feb 28 12:37:24 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -331,9 +331,4 @@
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:50
 msgid "Creation Date"
-msgstr ""
-
-#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
-#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
-msgid "Payment Date"
 msgstr ""
 
@@ -1608,4 +1603,110 @@
 msgstr ""
 
+#: waeup/sirp/payments/interfaces.py:106
+msgid "Surcharge 1"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:113
+msgid "Surcharge 2"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:120
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:133
+msgid "Activation Code"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:140
+msgid "Response Amount Approved"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:147
+msgid "Response Description"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:154
+msgid "Response Payment Reference"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:161
+msgid "Response Code"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:168
+msgid "Response Card Number"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:24
+msgid "Not yet paid"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:25
+msgid "Paid"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:26
+msgid "Failed"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:30
+msgid "School Fee"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:31
+msgid "Clearance"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:32
+msgid "Bed Allocation"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:33
+msgid "Hostel Maintenance"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:34
+msgid "Transfer"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:35
+msgid "Gown"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:36
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:51
+msgid "Payment Category"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:58
+msgid "Payment Item"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:64
+msgid "Payment State"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:71
+msgid "Ticket Creation Date"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:76
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
+msgid "Payment Date"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:82
+msgid "Amount Authorized"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:94
+msgid "Payment Access Code"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7716)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7717)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Tue Feb 28 11:30:16 2012\n"
+"POT-Creation-Date: Tue Feb 28 12:37:24 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -385,9 +385,4 @@
 msgstr ""
 
-#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
-#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
-msgid "Payment Date"
-msgstr ""
-
 #: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:103
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:52
@@ -1702,4 +1697,110 @@
 msgstr ""
 
+#: waeup/sirp/payments/interfaces.py:106
+msgid "Surcharge 1"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:113
+msgid "Surcharge 2"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:120
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:133
+msgid "Activation Code"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:140
+msgid "Response Amount Approved"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:147
+msgid "Response Description"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:154
+msgid "Response Payment Reference"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:161
+msgid "Response Code"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:168
+msgid "Response Card Number"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:24
+msgid "Not yet paid"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:25
+msgid "Paid"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:26
+msgid "Failed"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:30
+msgid "School Fee"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:31
+msgid "Clearance"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:32
+msgid "Bed Allocation"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:33
+msgid "Hostel Maintenance"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:34
+msgid "Transfer"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:35
+msgid "Gown"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:36
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:51
+msgid "Payment Category"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:58
+msgid "Payment Item"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:64
+msgid "Payment State"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:71
+msgid "Ticket Creation Date"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:76
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
+msgid "Payment Date"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:82
+msgid "Amount Authorized"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:94
+msgid "Payment Access Code"
+msgstr ""
+
 #: waeup/sirp/students/browser_templates/changepw.pt:26
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7716)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7717)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Tue Feb 28 11:30:16 2012\n"
+"POT-Creation-Date: Tue Feb 28 12:37:24 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -331,9 +331,4 @@
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:50
 msgid "Creation Date"
-msgstr ""
-
-#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
-#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
-msgid "Payment Date"
 msgstr ""
 
@@ -1608,4 +1603,110 @@
 msgstr ""
 
+#: waeup/sirp/payments/interfaces.py:106
+msgid "Surcharge 1"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:113
+msgid "Surcharge 2"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:120
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:133
+msgid "Activation Code"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:140
+msgid "Response Amount Approved"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:147
+msgid "Response Description"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:154
+msgid "Response Payment Reference"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:161
+msgid "Response Code"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:168
+msgid "Response Card Number"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:24
+msgid "Not yet paid"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:25
+msgid "Paid"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:26
+msgid "Failed"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:30
+msgid "School Fee"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:31
+msgid "Clearance"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:32
+msgid "Bed Allocation"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:33
+msgid "Hostel Maintenance"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:34
+msgid "Transfer"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:35
+msgid "Gown"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:36
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:51
+msgid "Payment Category"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:58
+msgid "Payment Item"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:64
+msgid "Payment State"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:71
+msgid "Ticket Creation Date"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:76
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:102
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:51
+msgid "Payment Date"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:82
+msgid "Amount Authorized"
+msgstr ""
+
+#: waeup/sirp/payments/interfaces.py:94
+msgid "Payment Access Code"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py	(revision 7716)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py	(revision 7717)
@@ -19,19 +19,20 @@
 from zope import schema
 from waeup.sirp.interfaces import ISIRPObject, SimpleSIRPVocabulary
+from waeup.sirp.interfaces import MessageFactory as _
 
 payment_states = SimpleSIRPVocabulary(
-    ('Not yet paid','unpaid'),
-    ('Paid','paid'),
-    ('Failed','failed'),
+    (_('Not yet paid'),'unpaid'),
+    (_('Paid'),'paid'),
+    (_('Failed'),'failed'),
     )
 
 payment_categories = SimpleSIRPVocabulary(
-    ('School Fee','schoolfee'),
-    ('Clearance','clearance'),
-    ('Bed Allocation','bed_allocation'),
-    ('Hostel Maintenance','hostel_maintenance'),
-    ('Transfer','transfer'),
-    ('Gown','gown'),
-    ('Acceptance Fee', 'acceptance'),
+    (_('School Fee'),'schoolfee'),
+    (_('Clearance'),'clearance'),
+    (_('Bed Allocation'),'bed_allocation'),
+    (_('Hostel Maintenance'),'hostel_maintenance'),
+    (_('Transfer'),'transfer'),
+    (_('Gown'),'gown'),
+    (_('Acceptance Fee'), 'acceptance'),
     )
 
@@ -48,5 +49,5 @@
 
     p_category = schema.Choice(
-        title = u'Payment Category',
+        title = _(u'Payment Category'),
         default = u'schoolfee',
         vocabulary = payment_categories,
@@ -55,5 +56,5 @@
 
     p_item = schema.TextLine(
-        title = u'Payment Item',
+        title = _(u'Payment Item'),
         default = None,
         required = False,
@@ -61,5 +62,5 @@
 
     p_state = schema.Choice(
-        title = u'Payment State',
+        title = _(u'Payment State'),
         default = u'unpaid',
         vocabulary = payment_states,
@@ -68,10 +69,10 @@
 
     creation_date = schema.Datetime(
-        title = u'Ticket Creation Date',
+        title = _(u'Ticket Creation Date'),
         readonly = False,
         )
 
     payment_date = schema.Datetime(
-        title = u'Payment Date',
+        title = _(u'Payment Date'),
         required = False,
         readonly = False,
@@ -79,5 +80,5 @@
 
     amount_auth = schema.Int(
-        title = u'Amount Authorized',
+        title = _(u'Amount Authorized'),
         default = 0,
         required = True,
@@ -91,6 +92,6 @@
 
     p_code = schema.TextLine(
-        title = u'Payment Access Code',
-        default = u'Certificate XYZ',
+        title = _(u'Payment Access Code'),
+        #default = u'Certificate XYZ',
         required = False,
         readonly = True,
@@ -103,5 +104,5 @@
 
     surcharge_1 = schema.Int(
-        title = u'Surcharge 1',
+        title = _(u'Surcharge 1'),
         default = 0,
         required = False,
@@ -110,5 +111,5 @@
 
     surcharge_2 = schema.Int(
-        title = u'Surcharge 2',
+        title = _(u'Surcharge 2'),
         default = 0,
         required = False,
@@ -117,5 +118,5 @@
 
     surcharge_3 = schema.Int(
-        title = u'Surcharge 3',
+        title = _(u'Surcharge 3'),
         default = 0,
         required = False,
@@ -130,5 +131,5 @@
 
     ac = schema.TextLine(
-        title = u'Activation Code',
+        title = _(u'Activation Code'),
         default = None,
         required = False,
@@ -137,5 +138,5 @@
 
     r_amount_approved = schema.Int(
-        title = u'Response Amount Approved',
+        title = _(u'Response Amount Approved'),
         default = 0,
         required = False,
@@ -144,5 +145,5 @@
 
     r_desc = schema.TextLine(
-        title = u'Response Description',
+        title = _(u'Response Description'),
         default = None,
         required = False,
@@ -151,5 +152,5 @@
 
     r_pay_reference = schema.TextLine(
-        title = u'Response Payment Reference',
+        title = _(u'Response Payment Reference'),
         default = None,
         required = False,
@@ -158,5 +159,5 @@
 
     r_code = schema.TextLine(
-        title = u'Response Code',
+        title = _(u'Response Code'),
         default = None,
         required = False,
@@ -165,5 +166,5 @@
 
     r_card_num = schema.TextLine(
-        title = u'Response Card Number',
+        title = _(u'Response Card Number'),
         default = None,
         required = False,